Subject: [netmod] I-D Action: draft-ietf-netmod-entity-06.txt

From: [email-masked]
Date: Mon, 18 Dec 2017 01:37:21 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Network Modeling WG of the IETF.

        Title           : A YANG Data Model for Hardware Management
        Authors         : Andy Bierman
                          Martin Bjorklund
                          Jie Dong
                          Dan Romascanu
	Filename        : draft-ietf-netmod-entity-06.txt
	Pages           : 54
	Date            : 2017-12-18

Abstract:
   This document defines a YANG data model for the management of
   hardware on a single server.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-netmod-entity/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-netmod-entity-06
https://datatracker.ietf.org/doc/html/draft-ietf-netmod-entity-06

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-netmod-entity-06

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Martin Bjorklund <[email-masked]>
Date: Mon, 18 Dec 2017 10:39:03 +0100 (CET)

Hi,

This version addresses the WGLC comments received.  Specifically, I
have added ietf-hardware-state, a config false version of
ietf-hardware for non-NMDA implementations, in an Appendix.  Please
review the new text and the description statement in that module.

I have also added a reference to the tree diagram draft and use the
latest security guidelines template text.

/martin

[email-masked] wrote:
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
>

---

From: Lou Berger <[email-masked]>
Date: Mon, 18 Dec 2017 15:00:26 -0500

Martin, Authors,

is there a reason that the draft says:

        Registrant Contact: The IESG.

vs the typical:

       Registrant Contact: The NETMOD WG of the IETF.

Thanks,

Lou

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 18 Dec 2017 21:06:50 +0100

See RFC 3688 section 4.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Lou Berger <[email-masked]>
Date: Mon, 18 Dec 2017 15:15:46 -0500

> See RFC 3688 section 4.
cool, dueling BCPs.

Is there a reason
https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-14#section-5
doesn't apply?

Lou

---

From: Martin Bjorklund <[email-masked]>
Date: Mon, 18 Dec 2017 21:22:01 +0100 (CET)

> On 12/18/2017 3:06 PM, Juergen Schoenwaelder wrote:

cool indeed.

> https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-14#section-5

Should we follow 3688 or 6087bis?

Interestingly, it seems the "Registrant Contact" is not stored in the
IANA maintained registry...

/martin

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 18 Dec 2017 21:28:41 +0100

> https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-14#section-5

Searching through a number of RFCs containing YANG modules, I must say
that we are consistently inconsistent. I would give RFC 3688 section 4
authority here since RFC 3688 defined the registry.  (Note also that
WGs come and go, the IESG may have a longer lifetime.  That said, I
assume that the responsibility for the registration falls into the
hands of the IESG anyway when a WG ceases to exist.)

/js

PS: The IANA registry seems to maintain a pointer to the RFC, there is
    not really a registrant column. ;-)

---

From: Lou Berger <[email-masked]>
Date: Mon, 18 Dec 2017 15:35:55 -0500

> Should we follow 3688 or 6087bis?
Given the context (YANG module, and this WG), I think it should be
6087bis (which is the same as 6087 in this respect).

I'll put in the publication request as soon as this update is made.

> IANA maintained registry...

true.

Thanks,
Lou

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 18 Dec 2017 21:56:44 +0100

> 6087bis (which is the same as 6087 in this respect).

Does RFC 6087 formally update RFC 3688?

   Registrant Contact
      The individual/organization that is the registration contact for
      the component being registered.  Ideally, this will be the name
      and pertinent physical and network contact information.  In the
      case of IETF developed standards, the Registrant will be the IESG.

/js

---

From: Andy Bierman <[email-masked]>
Date: Mon, 18 Dec 2017 13:01:52 -0800

> Does RFC 6087 formally update RFC 3688?
Not intentionally.
The 3688 text  should probably be used instead of 6087bis.

Andy

   Registrant Contact

---

From: Lou Berger <[email-masked]>
Date: Mon, 18 Dec 2017 16:03:52 -0500

On 12/18/2017 04:01 PM, Andy Bierman wrote:
> 
> 
> On Mon, Dec 18, 2017 at 12:56 PM, Juergen Schoenwaelder
> <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
yikes.  really? so you think rfc6087 and the netmod RFCs were wrong?

Thanks,
Lou

>     > >>>>> [email-masked] <mailto:[email-masked]>
>     wrote:
>     <https://datatracker.ietf.org/doc/draft-ietf-netmod-entity/>
>     > >>>>>>
>     <https://tools.ietf.org/html/draft-ietf-netmod-entity-06>
>     > >>>>>>
>     <https://datatracker.ietf.org/doc/html/draft-ietf-netmod-entity-06>
>     > >>>>>>
>     <https://www.ietf.org/rfcdiff?url2=draft-ietf-netmod-entity-06>
>     > >>>>>>
>     > >>>>>>
>     > >>>>>> until the htmlized version and diff are available at
>     tools.ietf.org <http://tools.ietf.org>.
>     > >>>>>>
>     <ftp://ftp.ietf.org/internet-drafts/>
>     > >>>>>>
>     > >>>>>> [email-masked] <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/netmod>
>     > >>>>>>
>     > >>>>> [email-masked] <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/netmod>
>     > >>>>>
>     > >>>> [email-masked] <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/netmod>
>     >
>     > [email-masked] <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/netmod>
> 
>     --
>     Fax:   +49 421 200 3103         <http://www.jacobs-university.de/
>     <http://www.jacobs-university.de/>>
> 
>

---

From: Andy Bierman <[email-masked]>
Date: Mon, 18 Dec 2017 13:11:07 -0800

> yikes.  really? so you think rfc6087 and the netmod RFCs were wrong?
Not wrong, but the more generic text applies to all WGs,
not just NETMOD WG.  The YANG module contact info
has the WG details. Since the NETMOD WG is long-lived,
it may be better to list NETMOD WG.  It doesn't seem to matter
since this info is not in the registry anyway.

Andy

---

From: Lou Berger <[email-masked]>
Date: Mon, 18 Dec 2017 16:17:03 -0500

On 12/18/2017 4:11 PM, Andy Bierman wrote:
>
>
> On Mon, Dec 18, 2017 at 1:03 PM, Lou Berger <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     <mailto:[email-masked]>
>     > <mailto:[email-masked]
>     <mailto:[email-masked]>>> wrote:
>     >
>     >     >
>     >     > Given the context (YANG module, and this WG), I think it
>     should be
>     >     > 6087bis (which is the same as 6087 in this respect).
>     >

Sigh.  Sounds like a useless line.  I guess the most important thing on
this inconsequential point is that we be consistent.  So, I guess this
means another update to 6087bis, I know you have one in the works in any
case.  How about publishing this change and other's that have been
discussed on the list so that we can all see the current state.  I'll
push submit on entity and we can always update it during IESG processing
if needed...

Thanks,
Lou

...